Skip to content

Withdraws (deducts) from a metered asset balance. Fails when the balance is insufficient.

PUT
/api/v1/provision/operational/asset-balances/{balanceId}/withdraw
curl --request PUT \
--url https://example.com/api/v1/provision/operational/asset-balances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/withdraw
balanceId
required
string format: uuid

Target asset balance.

decrementBy
number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/

Amount to deduct.

OK

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Unauthorized

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string